## ros-noetic-urg-node 0.1.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(urg_node)

find_package(catkin REQUIRED COMPONENTS
  diagnostic_updater dynamic_reconfigure laser_proc message_generation
  nodelet rosconsole roscpp sensor_msgs std_msgs std_srvs tf urg_c
)
set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11")

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/URG.cfg)

add_message_files(FILES
  Status.msg
)

generate_messages(
  DEPENDENCIES std_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES urg_c_wrapper urg_node_driver
  CATKIN_DEPENDS dynamic_reconfigure laser_proc message_runtime nodelet rosconsole
  roscpp sensor_msgs std_msgs std_srvs urg_c
  DEPENDS
)


include_directories(include ${catkin_INCLUDE_DIRS})

## Declare a cpp library
add_library(urg_c_wrapper src/urg_c_wrapper.cpp)
target_link_libraries(urg_c_wrapper ${catkin_LIBRARIES})

# Declare the cpp as a lib also
add_library(urg_node_driver src/urg_node_driver.cpp)
add_dependencies(urg_node_driver ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_gencpp)
target_link_libraries(urg_node_driver urg_c_wrapper ${catkin_LIBRARIES})

## Declare a cpp executable
add_executable(urg_node src/urg_node.cpp)
target_link_libraries(urg_node urg_node_driver ${catkin_LIBRARIES})

## Declare getID tool
add_executable(getID src/getID.cpp)
target_link_libraries(getID urg_c_wrapper ${catkin_LIBRARIES})

## Mark executables and/or libraries for installation
install(TARGETS urg_c_wrapper urg_node urg_node_driver getID
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
   PATTERN ".svn" EXCLUDE
)

## Install script to set IP addresses
catkin_install_python(PROGRAMS
   scripts/set_urg_ip.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY urdf meshes launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslint)
  # Ignore long -> int32_t warning, urg_c driver uses
  # long, etc. Wrapper must also use these
  set(ROSLINT_CPP_OPTS "--filter=-runtime/references,-runtime/int")
  roslint_cpp(
    include/urg_node/urg_c_wrapper.h
    include/urg_node/urg_node_driver.h
    src/getID.cpp
    src/urg_c_wrapper.cpp
    src/urg_node_driver.cpp
    src/urg_node.cpp
  )
  roslint_add_test()

  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/urg_lidar.launch)
endif()

=== debian/changelog ===
ros-noetic-urg-node (0.1.18-1focal) focal; urgency=high

  * Encode sent msg to bytes object when comparing with returned msg bytes object from socket; ensures compatability with Python 2 and Python 3; add comments.
  * Install Python helper script using catkin_install_python() so the correct Python version is selected automatically; ensure socket sends message as byte object for Python3, while ensuring backwards compatability with Python2.
  * Contributors: Joey Yang

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 29 Sep 2022 04:00:00 -0000

ros-noetic-urg-node (0.1.17-1focal) focal; urgency=high

  * Update UST10 (#96 <https://github.com/ros-drivers/urg_node/issues/96>)
    * Fix typo for package name
    * Replace UST10 URDF with one used in CPR robots ; remove lx suffix from UST10 files
    * Fix typo in package name
    * Add installation of urdf, meshes, and launch directories to CMakeLists.txt
  * Add collision to URDF
  * Add URDF and STL of Hokuyo UST-10LX
  * Contributors: Joey Yang

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 03 Mar 2022 05:00:00 -0000

ros-noetic-urg-node (0.1.16-1focal) focal; urgency=high

  * roslint fixes.
  * Diagnostic Analyzers (#93 <https://github.com/ros-drivers/urg_node/issues/93>)
    * Added diagnostic analyzers to organize robot_monitor
    * Update Change Log
    * Moved addDiagnostics call to the diagnostics thread
    * Changed parameter prefix from "/" to ""
    * Removed edits to the CHANGELOG
  * Contributors: Tony Baltovski, luis-camero

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 27 Jan 2022 05:00:00 -0000

ros-noetic-urg-node (0.1.15-1focal) focal; urgency=high

  * Function setSkip() set as void
    This function as no return type causing undefined behavior. This function
    has been declared as void.
  * Contributors: bostoncleek

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 27 Oct 2020 04:00:00 -0000

ros-noetic-urg-node (0.1.14-1focal) focal; urgency=high

  * Bumped CMake version.
  * Removed trailing whitespace.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 04 Jun 2020 04:00:00 -0000

ros-noetic-urg-node (0.1.13-1focal) focal; urgency=high

  * Revert "fix(updateStatus): Update status on diagnostics update"
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Fri, 27 Mar 2020 04:00:00 -0000

ros-noetic-urg-node (0.1.12-1focal) focal; urgency=high

  * Updated roslint to only check files in this repo.
  * Updated TravisCI config.
  * fix(updateStatus): Update status on diagnostics update
    Otherwise the diagnostics information does not really reflect the device
    status.
  * synchronize_time: reset when clock is warped
    If either the hardware clock or system clock warp, reset the EMA to
    prevent incorrect clock values from being used. Detect the warp by
    putting a limit on the absolute error between the synchronized clock
    and the system clock. When a warp is detected, reset the EMA to force
    the clocks to resynchronize. Use the system clock until the EMA has
    stabalized again.
  * synchronize system clock to hardware time
    Remove jitter from the system clock by synchronizing it to the change
    in hardware time stamps. This does not synchrnoize it in an absolute
    sense (i.e., doesn't remove system latench). However, coupled with
    calibrating system latency, this results in a stable, accurate clock.
  * Add Travis config.
  * Fixed linter errors.
  * Contributors: C. Andy Martin, Rein Appeldoorn, Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Sat, 14 Mar 2020 04:00:00 -0000

ros-noetic-urg-node (0.1.11-1focal) focal; urgency=high

  * Add support for URG-04LX in SCIP 1.1 mode
    The urg_node does not support SCIP 1.1. The Hokuyo URG-04LX supports both
    SCIP 1.1 and SCIP 2.0, but needs to be switched to SCIP 2.0 at every startup
    in its default configuration. For this purpose the function
    URGCWrapper::setToSCIP2() was added.
    A URG-04LX in SCIP 1.1 mode used to lead to an exception being thrown in
    URGCwrapper::initialize. Now, before throwing the exception an attempt to
    switch the sensor to SCIP 2.0 is made.
  * Fixed comments in launch file and added roslaunch.
  * Add flag to prevent updating of detailed status.
    If using a model that does not support AR00 command, hide it
    behind a rosparam.
  * Add safety stop heading and distance values (#28 <https://github.com/ros-drivers/urg_node/issues/28>)
    Added to the laser status field the last report of a safety
    stop of distance and angle reported. If this fails or is unavailable
    it will just report 0.
  * Updating depend and roslint.
    Fixing some roslint error after moving a header name.
    Additionally fixing the gencfg to be on the lib and not the node.
  * Adding missing std_srvs depend.
    Adding missing std_srvs depend to package.xml and CMakelists.txt
  * Move urg_node to be a library.
    Moving urg_node to urg_node_driver as a library.
    This allows for other nodes to include this as an object instead
    of spawning another separate process.
  * Add getAR00 status command.
    Added ability to pull the status of the lidar AR00 status command.
    This then publishes a latched topic with the current status of the
    lidar's error code and lockout status.
  * Update urg_node to be a self contained class
    Updating urg node to be a self contained class. This allows
    for it to be imported in other nodes.
  * Roslint
  * Contributors: Benjamin Scholz, Mike O'Driscoll, Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 17 Oct 2017 04:00:00 -0000

ros-noetic-urg-node (0.1.10-1focal) focal; urgency=high

  * Updated maintainer.
  * Error handling for connection failures
  * Created urg_lidar.launch
  * Installed getID
  * Contributors: Eric Tappan, Jeff Schmidt, Kei Okada, Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 21 Mar 2017 04:00:00 -0000



=== debian/control ===
Source: ros-noetic-urg-node
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tony.baltovski@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-laser-proc, ros-noetic-message-generation, ros-noetic-nodelet, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-roslaunch <!nocheck>, ros-noetic-roslint <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-urg-c
Homepage: http://ros.org/wiki/urg_node
Standards-Version: 3.9.2

Package: ros-noetic-urg-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-laser-proc, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-nodelet, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-urg-c, ros-noetic-xacro
Description: urg_node

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-urg-node//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
